Fapi_PcrRead(3)

NAME
Fapi_PcrRead - Fapi_PcrRead

SYNOPSIS

  Functions
TSS2_RC Fapi_PcrRead (FAPI_CONTEXT *context, uint32_t pcrIndex, uint8_t **pcrValue, size_t *pcrValueSize, char **pcrLog)
TSS2_RC Fapi_PcrRead_Async (FAPI_CONTEXT *context, uint32_t pcrIndex)
TSS2_RC Fapi_PcrRead_Finish (FAPI_CONTEXT *context, uint8_t **pcrValue, size_t *pcrValueSize, char **pcrLog)

Detailed Description

FAPI functions to invoke PcrRead either as one-call or in an asynchronous manner.

Function Documentation

  Fapi_PcrRead (FAPI_CONTEXT * context, uint32_t pcrIndex, uint8_t ** pcrValue, size_t * pcrValueSize, char ** pcrLog)
One-Call function for Fapi_PcrRead

Reads from a given PCR and returns the value and the event log.

Parameters
    context The FAPI_CONTEXT
    pcrIndex The index of the PCR to read
    pcrValue The value of the PCR. May be NULL
    pcrValueSize The size of value in bytes. May be NULL
    pcrLog The PCR log. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, pcrValue or pcrValueSize is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_VALUE if pcrIndex is invalid.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_FAPI_RC_TRY_AGAIN if an I/O operation is not finished yet and this function needs to be called again.
    TSS2_FAPI_RC_AUTHORIZATION_UNKNOWN if a required authorization callback is not set.
    TSS2_FAPI_RC_AUTHORIZATION_FAILED if the authorization attempt fails.
    TSS2_FAPI_RC_GENERAL_FAILURE if an internal error occurred.
    TSS2_FAPI_RC_POLICY_UNKNOWN if policy search for a certain policy digest was not successful.
    TSS2_FAPI_RC_NO_CERT if an error did occur during certificate downloading.
    TSS2_FAPI_RC_PATH_NOT_FOUND if a FAPI object path was not found during authorization.
    TSS2_FAPI_RC_KEY_NOT_FOUND if a key was not found.
    TSS2_ESYS_RC_* possible error codes of ESAPI.

  Fapi_PcrRead_Async (FAPI_CONTEXT * context, uint32_t pcrIndex)
Asynchronous function for Fapi_PcrRead

Reads from a given PCR and returns the value and the event log.

Call Fapi_PcrRead_Finish to finish the execution of this command.

Parameters
    context The FAPI_CONTEXT
    pcrIndex The index of the PCR to read

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_VALUE if pcrIndex is invalid.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_NO_TPM if FAPI was initialized in no-TPM-mode via its config file.
    TSS2_ESYS_RC_* possible error codes of ESAPI.

  Fapi_PcrRead_Finish (FAPI_CONTEXT * context, uint8_t ** pcrValue, size_t * pcrValueSize, char ** pcrLog)
Asynchronous finish function for Fapi_PcrRead

This function should be called after a previous Fapi_PcrRead_Async.

Parameters
    context The FAPI_CONTEXT
    pcrValue The value of the PCR. May be NULL
    pcrValueSize The size of value in bytes. May be NULL
    pcrLog The PCR log. May be NULL

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if context, pcrValue or pcrValueSize is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_BAD_SEQUENCE if the context has an asynchronous operation already pending.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_TRY_AGAIN if the asynchronous operation is not yet complete. Call this function again later.
    TSS2_FAPI_RC_BAD_VALUE if an invalid value was passed into the function.
    TSS2_ESYS_RC_* possible error codes of ESAPI.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.